API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /companies?expand=true

Returns an expanded list of Companies, displaying a full profile for each Company in the Organization

Verb: GET

Auth: Basic Auth

Sample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/companies?"expand=true"
Sample Response:
{
  "company" : [ {
    "apps" : [ ],
    "name" : "DevCompany1",
    "displayName" : "",
    "organization" : "AutomationOrganization",
    "status" : "active",
    "attributes" : [ ],
    "createdAt" : 1343027924464,
    "createdBy" : "defaultUser",
    "lastModifiedAt" : 1343027924464,
    "lastModifiedBy" : "defaultUser"
  }, {
    "apps" : [ ],
    "name" : "DevCompany",
    "displayName" : "Developer Company",
    "organization" : "AutomationOrganization",
    "status" : "active",
    "attributes" : [ {
      "name" : "region",
      "value" : "south"
    } ],
    "createdAt" : 1343049811765,
    "createdBy" : "Admin",
    "lastModifiedAt" : 1343049811875,
    "lastModifiedBy" : "Admin"
  } ]
}
Response Payload Elements:
Name Description
company Settings for the company
apps A list of apps registered by the company
name name of the company
displayName Display name of the company
organization Organization to which the company belongs
Errors
Failure 4xx with proper error message
{
 "code" : "developer.service.CompanyDoesNotExist",
 "message" : "Company named DevCompany1 does not exist in organization {organizationName}",
 "contexts" : [ ]
}